sane-coolscan2(5)

BEZEICHNUNG
sane-coolscan2 - SANE-Backend für Coolscan-Filmscanner von Nikon

BESCHREIBUNG
Die Bibliothek sane-coolscan2 implementiert ein SANE-Backend (Scanner Access Now Easy), das den Zugriff auf Coolscan-Filmscanner von Nikon ermöglicht. Einige Funktionen dieses Backends sollten als Software im Beta-Stadium betrachtet werden. Die meisten Funktionen sind bereits seit langer Zeit stabil, aber neue Entwicklungen können und werden natürlich nicht vom ersten Tag an korrekt funktionieren. Bitte melden Sie jedes ungewöhnliche Verhalten an den Betreuer des Backends.

Gegenwärtig sollten die folgenden Scanner mit diesem Backend funktionieren:

    Modell:                      Verbindungstyp
    ---------------------------  -------------------
    LS-30 (Coolscan III)         SCSI
    LS-2000                      SCSI
    LS-40 ED (Coolscan IV)       USB
    LS-4000 ED                   IEEE 1394
    LS-8000 ED                   IEEE 1394

Bitte senden Sie eine E-Mail an den Autor des Backends (andras@users.sourceforge.net), um Erfolge oder Fehlschläge zu melden.

OPTIONEN
Die vom Backend unterstützten Optionen können entweder in der Befehlszeile an Programme wie scanimage(1) übergeben oder über Bedienelemente der grafischen Benutzeroberoberfläche in xscanimage(1) oder xsane(1) gesteuert werden.

Gültige Befehlszeilenoptionen und deren Syntax können Sie mit folgendem Befehl auflisten:

    scanimage --help -d coolscan2:<Schnittstelle>:<Gerät>

wobei <Schnittstelle> und <Gerät> das gewünschte Gerät angeben, wie in der Konfigurationsdatei (siehe nächster Abschnitt). Der Parameter -d und dessen Argument können weggelassen werden, um Informationen zum ersten identifizierten Scanner zu erhalten. Mit dem Befehl

    scanimage -L

können Sie alle von Ihrer SANE-Installation erkannten Geräte auflisten.

Die Optionen sollten in der Beschreibung oder den Tooltipps des Frontends vollständig erklärt sein. Es folgt eine Beschreibung einiger der wichtigsten Optionen in der Syntax, wie sie an scanimage(1) übergeben werden muss:

--frame <n>
    Diese Option gibt an, welches Bild verarbeitet werden soll, falls ein motorisierter Filmstreifeneinzug oder ein APS-Adapter verwendet werden. Die Bildnummer <n> kann von 1 bis zur Anzahl der maximal verfügbaren Bilder angegeben werden, was bei jeder Initialisierung des Backends ermittelt wird (üblicherweise bei jedem Start des Frontends).

--subframe <x>
    verschiebt den Scanbereich um den angegebenen Betrag (Vorgabeeinheit ist mm).

--infrared=yes/no
    Falls auf »yes« gesetzt, wertet der Scanner den Infrarotkanal aus und ermöglicht so die softwareseitige Staub- und Kratzerentfernung. Das Infrarotbild wird in einem zweiten Scanvorgang ohne Änderung von Optionen erstellt. Das Backend darf zwischen den Scanvorgängen nicht neu gestartet werden. Falls Sie scanimage(1) verwenden, wird ein Serienscan mit der Option --batch-count=2 ausgeführt, um die Infrarotinformationen zu gewinnen.

--depth <n>
    Hierbei kann <n> entweder 8 oder die maximale Bittiefe sein, die der Scanner unterstützt (10, 12 oder 14). Die Option gibt an, ob der Scanner die eingescannten Daten auf 8 Bit reduzieren soll, bevor sie zum Backend übermittelt werden. Falls 8 Bit verwendet werden, gehen einige Informationen verloren, was sich auf die Bildqualität auswirkt, aber die Datenmenge gegenüber größeren Bittiefen verringert. Außerdem können viele Bildbearbeitungsprogramme und Bilddateiformate nicht mit Bittiefen größer als 8 umgehen.

--autofocus
    führt die automatische Fokussierung aus. Wenn nicht anderweitig durch entsprechende Optionen angegeben (--focus-on-centre usw.), wird auf die Mitte des ausgewählten Scanbereichs fokussiert.

--ae-wb

--ae
    führt einen Vorschauscan aus, um die Belichtungswerte automatisch zu ermitteln. --ae-wb führt den Weißabgleich aus, während --ae lediglich jeden Farbkanal separat anpasst.

--exposure
    multipliziert alle Belichtungszeiten mit diesem Wert. Dies ermöglicht Belichtungskorrekturen ohne Beeinflussung des Weißabgleichs.

--load
    lädt das nächste Dia (nur mit dem Diazuführungsadapter SF-200).

--eject
    wirft den Filmstreifen oder, wenn die Diazuführung verwendet wird, das eingelegte Dia aus.

--reset
    setzt den Scanner zurück. Der Scanner führt die gleichen Aktionen wie beim Einschalten aus: Das Dia wird ausgeworfen und der Scanner führt die Kalibrierung aus. Verwenden Sie diese Option, wenn der Scanner das Dia nicht korrekt einzieht und auch --eject nicht funktioniert.

KONFIGURATIONSDATEI
Die Konfigurationsdatei /etc/sane.d/coolscan2.conf gibt das Gerät oder die Geräte an, die das Backend verwenden wird. Aufgrund der Art der unterstützten Verbindungstypen SCSI, USB und IEEE 1394 sollte die mit der SANE-Distribution gelieferte Standard-Konfigurationsdatei ohne Anpassungen funktionieren.

Jede Zeile in der Konfigurationsdatei ist von einer der folgenden Arten, wobei für alle Einträge die Groß- oder Kleinschreibung beachtet wird:

leer oder mit einem »#« beginnend
    Diese Zeilen werden ignoriert, so dass »#« zum Einfügen von Kommentaren verwendet werden kann.

enthält nur das Wort »auto«
    Hiermit wird das Backend angewiesen, auf den Bussen nach Scannern mit bekannten Bezeichnern zu suchen. Dies ist die Vorgabeaktion, falls es keine Konfigurationsdatei gibt.

eine Zeile der Form <Schnittstelle>:<Gerät>
    Hier kann die <Schnittstelle> entweder »scsi« oder »usb« sein und <Gerät> bezeichnet die Gerätedatei des Scanners. Beachten Sie, dass IEEE-1394-Geräte vom SBP-2-Modul im Kernel verwaltet werden, so dass Sie für SANE als SCSI-Geräte erscheinen.

DATEIEN

/usr/lib/x86_64-linux-gnu/sane/libsane-coolscan2.a
    Die statische Bibliothek, die dieses Backend implementiert.

/usr/lib/x86_64-linux-gnu/sane/libsane-coolscan2.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

/etc/sane.d/coolscan2.conf
    Die Konfigurationsdatei für dieses Backend, die bei jeder Initialisierung des Backends gelesen wird.

UMGEBUNGSVARIABLEN

SANE_DEBUG_COOLSCAN2
    Falls die Bibliothek mit Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend. Beispielsweise bewirkt ein Wert von 128 die Anzeige sämtlicher Debug-Ausgaben. Kleinere Werte reduzieren die Ausführlichkeit.

SIEHE AUCH
sane-scsi(5), sane-usb(5), scanimage(1), xscanimage(1), xsane(1)

FEHLER
Derzeit ermöglicht es das SANE-Protokoll nicht, bei Änderungen der Hardware die Optionen automatisch anzupassen. Daher sind die Wahlmöglichkeiten für die Option --frame festgelegt, wenn das Backend initialisiert ist (üblicherweise dann, wenn der Benutzer das Frontend startet). Wenn insbesondere bei der Initialisierung des Backends kein Filmstreifen in die automatische Zuführung eingelegt ist, steht die Option --frame nicht zur Verfügung. Außerdem wird nach dem Wechsel des Filmadapters ein Neustart des Frontends dringend empfohlen.

Linux-Kernel in Versionen vor 2.4.19 hatten einen Patch, der die INQUIRY-Informationen von IEEE-1394-Scannern auf 36 Byte kürzte, wodurch wichtige Informationen über den Scanner verloren gingen. Die IEEE-1394-Modelle funktionieren daher nur mit der Kernelversion 2.4.19 oder neuer.

Derzeit sind keine wirklichen Fehler bekannt. Melden Sie auftretende Fehler an den Betreuer des Backends oder an die Mailingliste der SANE-Entwickler.

AUTOREN
Das Backend wurde von András Major <andras@users.sourceforge.net> geschrieben und wird von ihm betreut.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).